Create Bulk Bills Payment
curl --request POST \
--url https://api.flutterwave.com/v3/bulk-bills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bulk_reference": "bulkRef0012",
"callback_url": "https://www.google.com",
"bulk_data": [
{
"country": "NG",
"customer": "+2348029494025",
"amount": 100,
"recurrence": "WEEKLY",
"type": "AIRTIME",
"reference": "billRef05"
},
{
"country": "NG",
"customer": "+2347063932728",
"amount": 100,
"recurrence": "WEEKLY",
"type": "AIRTIME",
"reference": "billRef06"
},
{
"country": "NG",
"customer": "+2347013431382",
"amount": 100,
"recurrence": "WEEKLY",
"type": "AIRTIME",
"reference": "billRef07"
},
{
"country": "NG",
"customer": "+2348134088426",
"amount": 100,
"recurrence": "WEEKLY",
"type": "AIRTIME",
"reference": "billRef08"
}
]
}
'import requests
url = "https://api.flutterwave.com/v3/bulk-bills"
payload = {
"bulk_reference": "bulkRef0012",
"callback_url": "https://www.google.com",
"bulk_data": [
{
"country": "NG",
"customer": "+2348029494025",
"amount": 100,
"recurrence": "WEEKLY",
"type": "AIRTIME",
"reference": "billRef05"
},
{
"country": "NG",
"customer": "+2347063932728",
"amount": 100,
"recurrence": "WEEKLY",
"type": "AIRTIME",
"reference": "billRef06"
},
{
"country": "NG",
"customer": "+2347013431382",
"amount": 100,
"recurrence": "WEEKLY",
"type": "AIRTIME",
"reference": "billRef07"
},
{
"country": "NG",
"customer": "+2348134088426",
"amount": 100,
"recurrence": "WEEKLY",
"type": "AIRTIME",
"reference": "billRef08"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bulk_reference: 'bulkRef0012',
callback_url: 'https://www.google.com',
bulk_data: [
{
country: 'NG',
customer: '+2348029494025',
amount: 100,
recurrence: 'WEEKLY',
type: 'AIRTIME',
reference: 'billRef05'
},
{
country: 'NG',
customer: '+2347063932728',
amount: 100,
recurrence: 'WEEKLY',
type: 'AIRTIME',
reference: 'billRef06'
},
{
country: 'NG',
customer: '+2347013431382',
amount: 100,
recurrence: 'WEEKLY',
type: 'AIRTIME',
reference: 'billRef07'
},
{
country: 'NG',
customer: '+2348134088426',
amount: 100,
recurrence: 'WEEKLY',
type: 'AIRTIME',
reference: 'billRef08'
}
]
})
};
fetch('https://api.flutterwave.com/v3/bulk-bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Bulk bill Payment was queued for processing",
"data": {
"batch_reference": "CF-BATCH-FLY-API-20200310042210201008"
}
}{
"status": "error",
"message": "Please specify the following parameters in body: bulk_reference",
"data": null
}Bill Payments
Create Bulk Bills Payment
Initiate bulk bills payment
POST
/
bulk-bills
Create Bulk Bills Payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I